Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.alignment.event
Class VetoableAlignmentEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--uk.ac.man.bioinf.sequence.alignment.event.AlignmentEvent
                  |
                  +--uk.ac.man.bioinf.sequence.alignment.event.VetoableAlignmentEvent

All Implemented Interfaces:
  Serializable

public class VetoableAlignmentEvent
extends AlignmentEvent

VetoableAlignmentEvent.java An event that may be vetoed by a listener. Created: Fri Feb 18 17:41:04 2000

Version:
  $Id: VetoableAlignmentEvent.java,v 1.2 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`VetoableAlignmentEvent(Object src, int location, AlignmentEventType type)`
`VetoableAlignmentEvent(Object src, int start, int end, AlignmentEventType type)`

Methods inherited from class uk.ac.man.bioinf.sequence.alignment.event.AlignmentEvent
`getEnd, getStart, getType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VetoableAlignmentEvent

    public VetoableAlignmentEvent(Object src,
                                  int location,
                                  AlignmentEventType type)

### VetoableAlignmentEvent

    public VetoableAlignmentEvent(Object src,
                                  int start,
                                  int end,
                                  AlignmentEventType type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD